GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PrintingOptions Class Reference

## Public Member Functions
Labels | getLabels ()
void | setLabels (Labels value)

## Protected Attributes
Labels | labels

## Detailed Description

Data to specify in which way labels shall be produced and who should print those labels

Java class for PrintingOptions complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="PrintingOptions">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <choice>
            <element name="Labels" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}Labels"/>
          </choice>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 37 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/PrintingOptions.java.

## Member Function Documentation

## ◆ getLabels()

Labels eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PrintingOptions.getLabels | ( |  | ) |

Gets the value of the labels property.

Returns
  possible object is Labels

Definition at line 50 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/PrintingOptions.java.

## ◆ setLabels()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PrintingOptions.setLabels | ( | Labels | value | ) |

Sets the value of the labels property.

Parameters

  value | allowed object is Labels

Definition at line 62 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/PrintingOptions.java.

## Member Data Documentation

## ◆ labels

Labels eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.PrintingOptions.labels
| protected

Definition at line 40 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/PrintingOptions.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/PrintingOptions.java